Merge libibverbs 1.1.8-1 (main) with Debian unstable (main)

Bug #1318246 reported by Logan Rosen on 2014-05-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libibverbs (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync libibverbs 1.1.8-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/libibverbs1.postinst: Remove creation of rdma group (since Ubuntu uses 0666 udev rules; see bug 256216)
  * Update config.{guess,sub}.
The config.{guess,sub} files were updated in the new upstream release, and I can't find any reference to "rdma" in the systemd source package in Utopic, so that delta is likely no longer necessary.

Changelog entries since current utopic version 1.1.7-1ubuntu1:

libibverbs (1.1.8-1) unstable; urgency=low

  * New upstream release.
    - XRC support
    - Flow steering support
    - Generic infrastructure for further "verbs extensions"
  * Update to Standards-Version: 3.9.5.

 -- Roland Dreier <email address hidden> Mon, 05 May 2014 09:50:44 -0700

Logan Rosen (logan) on 2014-05-10
Changed in libibverbs (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

daniel@daydream:~$ cat libibverbs-1.1.8/debian/libibverbs1.postinst
#!/bin/sh
# postinst script for libibverbs1

set -e

if [ "$1" = configure ]; then
    getent group rdma > /dev/null 2>&1 || addgroup --system --quiet rdma
fi

#DEBHELPER#
daniel@daydream:~$

Changed in libibverbs (Ubuntu):
status: New → Incomplete
Logan Rosen (logan) wrote :

No, I know that it still creates the rdma group in this package. What I'm referring to is the reason why we removed this in the postinst in the first place, which itself referred to what was done in Bug 256216. There was a delta in Ubuntu's udev (now systemd) regarding the rdma group, but that's no longer present, so we can safely create the group here now, I believe.

Changed in libibverbs (Ubuntu):
status: Incomplete → New
Martin Pitt (pitti) wrote :

No, nothing has changed in Ubuntu's udev wrt. to that. Debian's udev also does not use the rdma group any more, so the group should instead be dropped in Debian as well. We really don't want all these extra "device permissions" group creep back into Ubuntu. They are evil, bad, and wrong...

Retitling to require a merge, and unsubscribing sponsors for now. Please re-subscribe if you'd like a merge to get uploaded. Thanks!

summary: - Sync libibverbs 1.1.8-1 (main) from Debian unstable (main)
+ Merge libibverbs 1.1.8-1 (main) with Debian unstable (main)
Brian Murray (brian-murray) wrote :

This version of libibverbs is available in the archive now.

Changed in libibverbs (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers